Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Ogre::EventTarget Class Reference

This is an abstract class that is the base class of all consumers of InputEvent instances. More...

`#include <OgreEventTarget.h>`

Inheritance diagram for Ogre::EventTarget:

[legend]
List of all members.

## Public Methods

virtual void | processEvent (InputEvent *e)=0

## Detailed Description

This is an abstract class that is the base class of all consumers of InputEvent instances.

Remarks:
  This class is part of the set of classes handling buffered input.

Definition at line 49 of file OgreEventTarget.h.

## Member Function Documentation

virtual void Ogre::EventTarget::processEvent | ( | InputEvent * | e | ) | `[pure virtual]`

| Implemented in Ogre::Cursor, Ogre::EventProcessor, Ogre::GuiControl, Ogre::GuiElement, Ogre::OverlayManager, Ogre::BorderButtonGuiElement, Ogre::ButtonGuiElement, Ogre::ScrollBarGuiElement, and Ogre::TextBoxGuiElement. Referenced by Ogre::EventDispatcher::processKeyEvent(), Ogre::EventDispatcher::retargetKeyEvent(), and Ogre::EventDispatcher::retargetMouseEvent().

The documentation for this class was generated from the following file:

- OgreEventTarget.h

Copyright © 2002-2003 by The OGRE Team
Last modified Sun Nov 28 19:50:56 2004